// ©2023 Batty Bovine Productions, LLC. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "ComboActionAdditionalData.h"
#include "GameplayTagContainer.h"
#include "Blueprint/UserWidget.h"
#include "Engine/DataTable.h"
#include "UObject/Object.h"

#include "Fonts/SlateFontInfo.h"
#include "Styling/CoreStyle.h"

#include "ComboActionGraphDataTypes.generated.h"


/**
 * Combo Action Manager state
 */
UENUM(BlueprintType)
enum class EComboActionManagerState : uint8
{
	Disabled	UMETA(DisplayName="Disabled",	Tooltip="Disabled. Combo action cannot be used."),
	Enabled		UMETA(DisplayName="Enabled",	Tooltip="Enabled. Combo action can start."),
	Active		UMETA(DisplayName="Activated",	Tooltip="Combo action is activated"),
};
